"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.positionToErrorPlace = function (ls, errorPos, lineIdx) {
    if (lineIdx === void 0) { lineIdx = 0; }
    return errorPos > ls[lineIdx].length
        ? exports.positionToErrorPlace(ls, errorPos - ls[lineIdx].length - 1, ++lineIdx)
        : { l: lineIdx, c: errorPos };
};
exports.errorPosFromPositionMsg = function (lines, msg) {
    var res = /Unexpected string in JSON at position (\d+)/.exec(msg);
    return res ? exports.positionToErrorPlace(lines, parseInt(res[1], 10)) : null;
};
exports.errorPosFromLineColumnMsg = function (ls, msg) {
    var res = /at line (\d+) column (\d+)/.exec(msg);
    return res
        ? { l: parseInt(res[1], 10) - 1,
            c: parseInt(res[2], 10) - 1
        }
        : null;
};
exports.extractPosition = function (lines, msg) {
    var x = exports.errorPosFromLineColumnMsg(lines, msg);
    return x || exports.errorPosFromPositionMsg(lines, msg);
};
//# sourceMappingURL=extractErrorPosition.js.map