"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var helper_1 = require("./helper");
var extractErrorPosition_1 = require("./extractErrorPosition");
exports.showFancySyntaxException = function (rawJson, e) {
    var context = [e.message];
    var lines = rawJson.split('\n');
    var position = extractErrorPosition_1.extractPosition(lines, e.message);
    return position
        ? helper_1.buildErrorFromJsonAndPosition(lines, context, position)
        : e.message;
};
exports.safeJsonParse = function (raw, reviver) {
    try {
        return JSON.parse(raw, reviver);
    }
    catch (e) {
        throw new SyntaxError(exports.showFancySyntaxException(raw, e));
    }
};
//# sourceMappingURL=main.js.map